%define	name	SDL_mixer
%define	version	1.2.8
%define	rel	1
%define	lib_name_orig lib%{name}
%define	lib_major 1.2
%define	lib_name %mklibname %{name} %{lib_major}

Summary:	Simple DirectMedia Layer - mixer
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.bz2
Patch1:		SDL_mixer-1.2.7-fix-path-timidity.patch
Patch2:		SDL_mixer-1.2.7-link-against-system-libmikmod.patch
Patch3:		SDL_mixer-1.2.7-timidity-crash.patch
Patch4:		SDL_mixer-1.2.4-64bit-fix.patch
Patch5:		SDL_mixer-1.2.5-endian-fixes.patch
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.libsdl.org/projects/SDL_mixer/
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	esound-devel
BuildRequires:	libmikmod-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	smpeg-devel >= 0.4.3

%description
SDL_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n	%{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Requires:	SDL-devel
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}%{lib_major}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n	%{name}-player
Summary:	Players using %{name}
Group:		System/Libraries
Obsoletes:	%{lib_name}-test
Provides:	%{lib_name}-test
Requires:	%{lib_name} >= 1.2.6-2mdk

%description -n	%{name}-player
This package contains binary to test the associated library.

%prep
%setup -q
%patch1 -p1 -b .timidity
#patch2 -p1 -b .libmikmod
#patch3 -p0 -b .timidity_crash
%patch4 -p0 -b .64bit
#patch5 -p0 -b .endian

%build
#gw our libtool is too old
%define __cputoolize true
aclocal
autoconf
%configure2_5x	--enable-music-libmikmod=yes \
		--enable-music-native-midi \
		--disable-music-ogg-shared \
		--disable-music-mp3-shared
%make

%install
rm -rf %{buildroot}
%makeinstall install-bin

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n %{name}-player
%defattr(-, root, root)
%doc README
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{lib_name}
%defattr(-,root,root)
%doc mikmod/AUTHORS mikmod/README
%doc timidity/FAQ timidity/README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/*




%changelog
* Thu Jul 26 2007 Funda Wang <fundawang@mandriva.org> 1.2.8-1mdv2008.0
+ Revision: 55751
- New version

* Thu May 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.2.7-6mdv2008.0
+ Revision: 33460
- Rebuild with libslang2.

* Mon May 21 2007 Funda Wang <fundawang@mandriva.org> 1.2.7-5mdv2008.0
+ Revision: 29147
- Rebuild for new directfb


* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.7-4mdv2007.0
+ Revision: 125375
- Rebuilt against libgii|libggi.

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - ouch, fix libmikmod patch
    - versioned provides for %%{name}-devel
    - link against smpeg, otherwise it won't pull in required dependency
      link against system libmikmod (P2, derived from debian, then fixed)
      fix timidity crash (P3, from SuSE)
      64 bit fixes (P4, from SuSE)
      endian fixes (P5, from SuSE)
    - Import SDL_mixer

* Sun Jun 25 2006 Gtz Waschk <waschk@mandriva.org> 1.2.7-1mdv2007.0
- fix installation
- bump deps
- update patch 1
- New release 1.2.7

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-4mdk
- rebuild for sparc

* Sat Jan 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-3mdk
- make rpmbuildupdate aware
- BuildRequires: libmikmod-devel

* Sat Oct 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.6-2mdk
- update, fix and reenable timidity patch (P1) (why was it disabled?)
- make the player require the library on release as there are fixes
  in the library for it to play midi
- %%mkrel
- drop gcc3.3 (P2) and 64 bit (P3) patches as they're no longer used
- drop copyright docs
- cosmetics

* Wed Mar 23 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.6-1mdk
- Release: 1.2.6.

* Sat Nov 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.5-5mdk
- rebuild

* Fri Jul 30 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.5-4mdk
- merged Gwenole 64-bit fixes from 1.2.5-3.1mdk (AMD64).

